Go back to the normal oauth-plugin now it is fixed
authorTom Hughes <tom@compton.nu>
Fri, 13 Jul 2012 19:00:05 +0000 (20:00 +0100)
committerTom Hughes <tom@compton.nu>
Fri, 13 Jul 2012 19:00:05 +0000 (20:00 +0100)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index 3e3ab14..6629e35 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -17,7 +17,7 @@ gem 'jquery-rails'
 gem 'rails-i18n', ">= 0.6.3"
 gem 'dynamic_form'
 gem 'rinku', '>= 1.2.2', :require => 'rails_rinku'
-gem 'openstreetmap-oauth-plugin', '>= 0.4.0.1', :require => 'oauth-plugin'
+gem 'oauth-plugin', '>= 0.4.1', :require => 'oauth-plugin'
 gem 'open_id_authentication', '>= 1.1.0'
 gem 'validates_email_format_of', '>= 1.5.1'
 gem 'composite_primary_keys', '>= 5.0.8'
index 07f3b5b..f6e1bf4 100644 (file)
@@ -70,13 +70,18 @@ GEM
       i18n (>= 0.4.0)
       mime-types (~> 1.16)
       treetop (~> 1.4.8)
-    memcached (1.4.2)
+    memcached (1.4.3)
     mime-types (1.19)
     minitest (3.2.0)
     multi_json (1.3.6)
     multipart-post (1.1.5)
     nokogiri (1.5.5)
     oauth (0.4.6)
+    oauth-plugin (0.4.1)
+      multi_json
+      oauth (~> 0.4.4)
+      oauth2 (>= 0.5.0)
+      rack
     oauth2 (0.8.0)
       faraday (~> 0.8)
       httpauth (~> 0.1)
@@ -85,11 +90,6 @@ GEM
       rack (~> 1.2)
     open_id_authentication (1.1.0)
       rack-openid (~> 1.3)
-    openstreetmap-oauth-plugin (0.4.0.1)
-      multi_json
-      oauth (~> 0.4.4)
-      oauth2 (>= 0.5.0)
-      rack
     paperclip (2.7.0)
       activerecord (>= 2.3.0)
       activesupport (>= 2.3.2)
@@ -128,7 +128,7 @@ GEM
     rdoc (3.12)
       json (~> 1.4)
     redcarpet (2.1.1)
-    rinku (1.5.1)
+    rinku (1.7.0)
     ruby-openid (2.2.0)
     sanitize (2.0.3)
       nokogiri (>= 1.4.4, < 1.6)
@@ -174,8 +174,8 @@ DEPENDENCIES
   libxml-ruby (>= 2.0.5)
   memcached (>= 1.4.1)
   minitest
+  oauth-plugin (>= 0.4.1)
   open_id_authentication (>= 1.1.0)
-  openstreetmap-oauth-plugin (>= 0.4.0.1)
   paperclip (~> 2.0)
   pg
   rails (= 3.2.6)